Bug 1808013 - seamonkey requires Python 2 to build
Summary: seamonkey requires Python 2 to build
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: seamonkey
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: BRPY27
TreeView+ depends on / blocked
 
Reported: 2020-02-27 16:20 UTC by Petr Viktorin
Modified: 2022-02-08 21:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-30 16:14:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Viktorin 2020-02-27 16:20:00 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like seamonkey, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.

I assume SeaMonkey is in a similar situation as the packages tracked here:
- Thunderbird BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1807555
- Firefox BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1805231
- IceCat exception request: https://pagure.io/fesco/issue/2346


If it's possible that the dependency won't be removed in Fedora 33. Please request a FESCo exception. You can refer to the exception for mercurial as an example: https://pagure.io/fesco/issue/2243
It's good to mention:

- What is the reason for the Python 2 build dependency?

- What are the upstream/community plans/timelines regarding Python 2?

- What is the guidance for porting the build to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Dmitry Butskoy 2020-02-27 16:30:02 UTC
SeaMonkey is based on Firefox code, hence the answers are the same as:
https://bugzilla.redhat.com/show_bug.cgi?id=1805231#c1
https://bugzilla.redhat.com/show_bug.cgi?id=1805231#c2

Besides that, SeaMonkey is based on the "old" Firefox code (versions between 56<-->60 with some newer stuff backported). It looks likely that we will have a noticeable delay after the FF finished its switch to python3 (a time for non-trivial backport would be needed).

Comment 2 Dmitry Butskoy 2020-02-27 16:31:12 UTC
SeaMonkey is based on Firefox code, hence the answers are the same as:
https://bugzilla.redhat.com/show_bug.cgi?id=1805231#c1
https://bugzilla.redhat.com/show_bug.cgi?id=1805231#c2

Besides that, SeaMonkey is based on the "old" Firefox code (versions between 56<-->60 with some newer stuff backported). It looks likely that we will have a noticeable delay after the FF finished its switch to python3 (a time for non-trivial backport would be needed).

Comment 3 Dmitry Butskoy 2020-02-27 16:52:31 UTC
https://pagure.io/fesco/issue/2348

Comment 4 Ben Cotton 2020-08-11 13:11:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 5 Ben Cotton 2021-11-04 17:40:45 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2021-11-30 16:14:24 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Petr Viktorin 2021-12-01 10:07:14 UTC
python2 is still needed for seamonkey on Rawhide.

Comment 8 Ben Cotton 2022-02-08 21:23:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.


Note You need to log in before you can comment on or make changes to this bug.